Package ru.bitel.bgbilling.modules.ipn.server.bean

# Class GatePortManager

java.lang.Object
ru.bitel.bgbilling.modules.ipn.server.bean.GatePortManager

public class GatePortManager extends Object
Клас для работы с портами шлюзов

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  `protected int`
  `mid`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GatePortManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `deleteGatePorts(int cid, int gid)`
  `List<Integer>`
  `findFreePorts(int cid, int gid, int count, List<List<Integer>> rangeList)`
  `List<Gate>`
  `getAvailableGates(int cid)`
  `Map<String,Object>`
  `getGatePortMap(int cid, int gid)`
  `List<Map<String,Object>>`
  `getGatePortMaps(int contractId)`
  `List<Integer>`
  `getGatePorts(int cid, int gid)`
  `List<Map<String,Object>>`
  `getPortMonitorMap(int gid)`
  `boolean`
  `portsExists(int cid, int gid, List<Integer> ports)`
  `boolean`
  `updateGatePorts(int cid, int gid, List<Integer> ports)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mid

    protected int mid

  - ### con

    protected Connection con

- ## Constructor Details

  - ### GatePortManager

    public GatePortManager(Connection con, int mid)

- ## Method Details

  - ### getGatePortMaps

    public List<Map<String,Object>> getGatePortMaps(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getPortMonitorMap

    public List<Map<String,Object>> getPortMonitorMap(int gid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getGatePortMap

    public Map<String,Object> getGatePortMap(int cid, int gid) throws Exception
    Throws:
      `Exception`

  - ### updateGatePorts

    public boolean updateGatePorts(int cid, int gid, List<Integer> ports) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteGatePorts

    public boolean deleteGatePorts(int cid, int gid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### findFreePorts

    public List<Integer> findFreePorts(int cid, int gid, int count, List<List<Integer>> rangeList) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAvailableGates

    public List<Gate> getAvailableGates(int cid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### portsExists

    public boolean portsExists(int cid, int gid, List<Integer> ports) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getGatePorts

    public List<Integer> getGatePorts(int cid, int gid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`